Skip to main content
PATCH
/
v1
/
calendars
/
{calendarId}
Update calendar settings
curl --request PATCH \
  --url https://youragentcal.com/v1/calendars/{calendarId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "timezone": "<string>",
  "slug": "<string>",
  "purpose": "<string>",
  "views": []
}
'
import requests

url = "https://youragentcal.com/v1/calendars/{calendarId}"

payload = {
"name": "<string>",
"timezone": "<string>",
"slug": "<string>",
"purpose": "<string>",
"views": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
timezone: '<string>',
slug: '<string>',
purpose: '<string>',
views: []
})
};

fetch('https://youragentcal.com/v1/calendars/{calendarId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "timezone": "<string>",
  "purpose": "<string>",
  "views": [],
  "url": "<string>"
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}

Authorizations

Authorization
string
header
required

Agent token from POST /v1/mint (format ac_agent_…). Scopes: agent:read, calendar:read, calendar:write, grants:manage.

Path Parameters

calendarId
string
required

cal_… public id.

Body

application/json
name
string
Maximum string length: 200
timezone
string
visibility
enum<string>
Available options:
unlisted,
public,
private
slug
string
purpose
string | null

Markdown; what this calendar is for. Shown at /c/{slug}/purpose.md.

Maximum string length: 8192
default_view
enum<string> | null
Available options:
month,
week,
schedule,
timeline,
null
views
enum<string>[] | null

Allowed lenses; null or [] = all.

Available options:
month,
week,
schedule,
timeline

Response

Updated calendar.

id
string
Example:

"cal_…"

name
string
slug
string
timezone
string
visibility
enum<string>
Available options:
unlisted,
public,
private
purpose
string
default_view
enum<string>
Available options:
month,
week,
schedule,
timeline
views
enum<string>[]
Available options:
month,
week,
schedule,
timeline
url
string

Public page at /c/{slug}.

role
enum<string>
Available options:
owner,
writer,
reader